import { ElementRef, EventEmitter, OnDestroy, TemplateRef } from "@angular/core";
import { SafeHtml } from "@angular/platform-browser";
export declare class CollapsibleComponent implements OnDestroy {
    private _elementRef;
    headerContent: TemplateRef<any>;
    customHeaderContent: boolean;
    headerTitle: string;
    buttonText: string;
    iconData: SafeHtml | undefined;
    expandButtonLast: boolean;
    showButton: boolean;
    expanded: boolean;
    expandedChange: EventEmitter<boolean>;
    buttonClicked: EventEmitter<void>;
    showClass(): boolean;
    onHostClick(event: MouseEvent): void;
    constructor(_elementRef: ElementRef);
    ngOnDestroy(): void;
    focus(): void;
    changeExpanded(): void;
    onButtonClick(): void;
}
